com.hazelcast.instance

## Class HazelcastInstanceCacheManager

- java.lang.Object
- - com.hazelcast.instance.HazelcastInstanceCacheManager

- All Implemented Interfaces:
    ICacheManager

      public class HazelcastInstanceCacheManager
      extends Object
      implements ICacheManager

  Hazelcast `ICacheManager` implementation accessible via `HazelcastInstance` that provides access to JSR-107 (JCache) caches configured on the cluster via Hazelcast API.
  See Also:
    `ICacheManager`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HazelcastInstanceCacheManager(HazelcastInstanceImpl original)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<K,V> ICache<K,V>` | `getCache(String name)` Returns the cache instance with the specified prefixed cache name.
    `<K,V> ICache<K,V>` | `getCacheByFullName(String fullName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HazelcastInstanceCacheManager

          public HazelcastInstanceCacheManager(HazelcastInstanceImpl original)

  - ### Method Detail

    - #### getCache

          public <K,V> ICache<K,V> getCache(String name)

      Description copied from interface: `ICacheManager`
      Returns the cache instance with the specified prefixed cache name.

      Prefixed cache name is the name with URI and classloader prefixes, if available. There is no Hazelcast prefix (`/hz/`). For example, `myURI/foo`.

               <prefixed_cache_name> = [<uri_prefix>/] + [<cl_prefix>/] + <pure_cache_name>

      where `<pure_cache_name>` is the cache name without any prefix. For example `foo`.

      As seen from the definition, URI and classloader prefixes are optional.

      URI prefix is generated as content of the URI as a US-ASCII string: (`uri.toASCIIString()`). Classloader prefix is generated as a string representation of the specified classloader: (`cl.toString()`)

      Specified by:
        `getCache` in interface `ICacheManager`
      Parameters:
        `name` - the prefixed name of the cache
      Returns:
        the cache instance with the specified prefixed name
      See Also:
        `CacheUtil.getPrefixedCacheName(String, java.net.URI, ClassLoader)`

    - #### getCacheByFullName

          public <K,V> ICache<K,V> getCacheByFullName(String fullName)

Copyright © 2020. All rights reserved.